RESTinio

Classes | Namespaces | Typedefs | Functions
sendfile_operation.hpp File Reference
`#include <memory>`
`#include <restinio/sendfile.hpp>`

Go to the source code of this file.

## Classes
class | restinio::impl::sendfile_operation_base_t
| Base class for storing sendfile operation context. More...
class | restinio::impl::sendfile_operation_runner_base_t< Socket >
| A base runner of sendfile operation (keeps all the data). More...

## Namespaces
namespace | restinio
namespace | restinio::impl

## Typedefs
using | restinio::impl::sendfile_operation_shared_ptr_t = std::shared_ptr< sendfile_operation_base_t >
using | restinio::impl::after_sendfile_cb_t = std::function< void(const asio_ns::error_code &, file_size_t) >
| Callback type for invocation when sendfile operation completes. More...

## Functions
template<typename Error_Type >
auto | restinio::impl::make_error_code (const Error_Type &e) noexcept